<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:44:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DP 4.0.722, 4.1.46
 
Using a SPS, created a test setup and in export option chose CSV (this was the option chosen when I spoke to DM about this)
 
Recorder mode with multiple events. 
 
Disable require all units to pass diagnostics
 
Ran test all the way to export all:
 
 
In 4.1.46:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2022-09-19T17:54:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-19T16:19:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-19T15:31:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.1@47639
 
I think this is important enough to include in prior to release.
 
this apparently was a fix for case 18535 that didn't get included in download all for 4.0/4.1</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2022-09-19T14:43:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>related case 18535</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-19T14:18:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>here's a simple solution to the issue, but would be nice to know why it happens:
 
 
 
        public string ReadTestSetupWithEvents(string DownloadFolder, string TestItem, string ExportTestName, ref DTS.Serialization.Test _test, ref DTS.Serialization.TestSetup _testSetup, bool justDTSFile, int eventNumber)
         {
             var directory = BuildDirectorywithEvents(DownloadFolder, TestItem, ExportTestName, eventNumber);
             var testFileName = Path.Combine(directory, ExportTestName + ".dts");
 
            DTS.Serialization.SliceRaw.File.ReadTestSetup(testFileName, out _test, out _testSetup, justDTSFile);
 
            if (null == _test)
             {
                 var startOfEventNumer = ExportTestName.IndexOf("_Event Number");
                 if( startOfEventNumer &gt; 0)
                 {
                     testFileName = Path.Combine(directory, ExportTestName.Substring(0, startOfEventNumer), ".dts");
                     DTS.Serialization.SliceRaw.File.ReadTestSetup(testFileName, out _test, out _testSetup, justDTSFile);
                 }
             }
 
            return testFileName;
         }</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-16T23:52:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-16T23:51:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>one has Event Number decoration, one does not, because of this 4.0 and 4.1 show no data to export in Export All in run test.</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2022-09-16T23:51:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>